Index: trunk/UTIL/fait_AA_make
===================================================================
--- trunk/UTIL/fait_AA_make	(revision 368)
+++ trunk/UTIL/fait_AA_make	(revision 380)
@@ -47,5 +47,5 @@
 #-Q- sx6nec .PRECIOUS : \$(SXMODEL_LIB)
 #-Q- sxdkrz .PRECIOUS : \$(SXMODEL_LIB)
-#-Q- hpux .PRECIOUS : \$(SXMODEL_LIB)
+#-Q- eshpux .PRECIOUS : \$(SXMODEL_LIB)
 
 # library dependancies
@@ -65,5 +65,5 @@
 #-Q- sx6nec		-R2 \\
 #-Q- sxdkrz		-R2 \\
-#-Q- hpux		-R2 \\
+#-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
 		\$*.f90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
@@ -71,5 +71,5 @@
 #-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 #-Q- sxdkrz		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
-#-Q- hpux		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
+#-Q- eshpux		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 		@\$(A_C) \$(MODEL_LIB) \$*.o  > /dev/null
 		@\$(RM) \$*.[of]
@@ -87,5 +87,5 @@
 #-Q- sx6nec		-R2 \\
 #-Q- sxdkrz		-R2 \\
-#-Q- hpux		-R2 \\
+#-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
 		\$*.F90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
@@ -93,5 +93,5 @@
 #-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 #-Q- sxdkrz		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
-#-Q- hpux		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
+#-Q- eshpux		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 		@\$(A_C) \$(MODEL_LIB) \$*.o  > /dev/null
 		@\$(RM) \$*.[of]
@@ -109,5 +109,5 @@
 #-Q- sx6nec		-R2 \\
 #-Q- sxdkrz		-R2 \\
-#-Q- hpux		-R2 \\
+#-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
 		\$*.F || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
@@ -115,5 +115,5 @@
 #-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 #-Q- sxdkrz		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
-#-Q- hpux		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
+#-Q- eshpux		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 		@\$(A_C) \$(MODEL_LIB) \$*.o  > /dev/null
 		@\$(RM) \$*.[of]
@@ -131,5 +131,5 @@
 #-Q- sx6nec		-R2 \\
 #-Q- sxdkrz		-R2 \\
-#-Q- hpux		-R2 \\
+#-Q- eshpux		-R2 \\
 #-Q- aix		-qsource \\
 		\$*.f|| { if [ -f \$(PREF)\$*.L ] ; then mv \$*.L \$(TMP) ; fi ; false ; exit ; }
@@ -137,5 +137,5 @@
 #-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 #-Q- sxdkrz		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
-#-Q- hpux		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
+#-Q- eshpux		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 		@\$(A_C) \$(MODEL_LIB) \$*.o  > /dev/null
 		@\$(RM) -f \$*.o
@@ -164,10 +164,10 @@
 echo '#-Q- sxdkrz  F_O = -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODDIR)/oce'
 echo '#-Q- sxdkrz  L_X = $(L_O) $(L_C) -ftrace'
-echo '#-Q- hpux  # Compiler options for the ORCA model for the ES'
-echo '#-Q- hpux  # for super perfs!'
-echo '#-Q- hpux  # F_O = $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce'
-echo '#-Q- hpux  # regular options!'
-echo '#-Q- hpux  F_O = $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce'
-echo '#-Q- hpux  L_X = $(L_O)'
+echo '#-Q- eshpux  # Compiler options for the ORCA model for the ES'
+echo '#-Q- eshpux  # for super perfs!'
+echo '#-Q- eshpux  # F_O = $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce'
+echo '#-Q- eshpux  # regular options!'
+echo '#-Q- eshpux  F_O = $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce'
+echo '#-Q- eshpux  L_X = $(L_O)'
 echo '#-Q- linux  # Compiler options for the ORCA model (pgf version)'
 echo '#-Q- linux  F_O = -Mlist -O3 -byteswapio -r8  -I $(MODDIR) -I$(MODDIR)/oce'
@@ -191,5 +191,5 @@
 echo '#-Q- sx6nec	PREF=i.'
 echo '#-Q- sxdkrz	PREF=i.'
-echo '#-Q- hpux		PREF=i.'
+echo '#-Q- eshpux	PREF=i.'
 echo ''
 # Write the cpp key list with one key by line