Index: trunk/NEMO/OPA_SRC/DYN/dynldf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 683)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 684)
@@ -39,5 +39,5 @@
    !!---------------------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynldf.F90,v 1.4 2007/06/05 11:02:08 opalod Exp $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -71,15 +71,15 @@
       !
       CASE ( -1 )                                       ! esopa: test all possibility with control print
-         ;              CALL dyn_ldf_lap    ( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf0 - Ua: ', mask1=umask,   &
+                        CALL dyn_ldf_lap    ( kt )
+                        CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf0 - Ua: ', mask1=umask,   &
             &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;              CALL dyn_ldf_iso    ( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf1 - Ua: ', mask1=umask,   &
+                        CALL dyn_ldf_iso    ( kt )
+                        CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf1 - Ua: ', mask1=umask,   &
             &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;              CALL dyn_ldf_bilap  ( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf2 - Ua: ', mask1=umask,   &
+                        CALL dyn_ldf_bilap  ( kt )
+                        CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf2 - Ua: ', mask1=umask,   &
             &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;              CALL dyn_ldf_bilapg ( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf3 - Ua: ', mask1=umask,   &
+                        CALL dyn_ldf_bilapg ( kt )
+                        CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf3 - Ua: ', mask1=umask,   &
             &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       END SELECT
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 683)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 684)
@@ -42,5 +42,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynzdf.F90,v 1.3 2007/06/05 11:00:28 opalod Exp $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -78,12 +78,12 @@
       !
       CASE ( -1 )                                      ! esopa: test all possibility with control print
-         ;             CALL dyn_zdf_exp    ( kt, r2dt )
-         ;             CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf0 - Ua: ', mask1=umask,               &
+                       CALL dyn_zdf_exp    ( kt, r2dt )
+                       CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf0 - Ua: ', mask1=umask,               &
             &                        tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;             CALL dyn_zdf_imp    ( kt, r2dt )
-         ;             CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf1 - Ua: ', mask1=umask,               &
+                       CALL dyn_zdf_imp    ( kt, r2dt )
+                       CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf1 - Ua: ', mask1=umask,               &
             &                        tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;             CALL dyn_zdf_imp_jki( kt, r2dt )
-         ;             CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf2 - Ua: ', mask1=umask,               &
+                       CALL dyn_zdf_imp_jki( kt, r2dt )
+                       CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf2 - Ua: ', mask1=umask,               &
             &                        tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       END SELECT
Index: trunk/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traadv.F90	(revision 683)
+++ trunk/NEMO/OPA_SRC/TRA/traadv.F90	(revision 684)
@@ -46,5 +46,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/TRA/traadv.F90,v 1.7 2007/06/05 11:00:53 opalod Exp $ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -97,24 +97,24 @@
       !
       CASE (-1 )                                                     ! esopa: test all possibility with control print
-         ;             CALL tra_adv_cen2    ( kt, zun, zvn, zwn )
-         ;             CALL prt_ctl( tab3d_1=ta, clinfo1=' adv0 - Ta: ', mask1=tmask,               &
-            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
-         ;             CALL tra_adv_cen2_jki( kt, zun, zvn, zwn )
-         ;             CALL prt_ctl( tab3d_1=ta, clinfo1=' adv1 - Ta: ', mask1=tmask,               &
-            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
-         ;             CALL tra_adv_tvd     ( kt, zun, zvn, zwn )
-         ;             CALL prt_ctl( tab3d_1=ta, clinfo1=' adv2 - Ta: ', mask1=tmask,               &
-            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
-         ;             CALL tra_adv_muscl   ( kt, zun, zvn, zwn )
-         ;             CALL prt_ctl( tab3d_1=ta, clinfo1=' adv3 - Ta: ', mask1=tmask,               &
-            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
-         ;             CALL tra_adv_muscl2  ( kt, zun, zvn, zwn )
-         ;             CALL prt_ctl( tab3d_1=ta, clinfo1=' adv4 - Ta: ', mask1=tmask,               &
-            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
-         ;             CALL tra_adv_ubs     ( kt, zun, zvn, zwn )
-         ;             CALL prt_ctl( tab3d_1=ta, clinfo1=' adv5 - Ta: ', mask1=tmask,               &
-            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
-         ;             CALL tra_adv_qck     ( kt, zun, zvn, zwn )
-         ;             CALL prt_ctl( tab3d_1=ta, clinfo1=' adv6 - Ta: ', mask1=tmask,               &
+                       CALL tra_adv_cen2    ( kt, zun, zvn, zwn )
+                       CALL prt_ctl( tab3d_1=ta, clinfo1=' adv0 - Ta: ', mask1=tmask,               &
+            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+                       CALL tra_adv_cen2_jki( kt, zun, zvn, zwn )
+                       CALL prt_ctl( tab3d_1=ta, clinfo1=' adv1 - Ta: ', mask1=tmask,               &
+            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+                       CALL tra_adv_tvd     ( kt, zun, zvn, zwn )
+                       CALL prt_ctl( tab3d_1=ta, clinfo1=' adv2 - Ta: ', mask1=tmask,               &
+            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+                       CALL tra_adv_muscl   ( kt, zun, zvn, zwn )
+                       CALL prt_ctl( tab3d_1=ta, clinfo1=' adv3 - Ta: ', mask1=tmask,               &
+            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+                       CALL tra_adv_muscl2  ( kt, zun, zvn, zwn )
+                       CALL prt_ctl( tab3d_1=ta, clinfo1=' adv4 - Ta: ', mask1=tmask,               &
+            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+                       CALL tra_adv_ubs     ( kt, zun, zvn, zwn )
+                       CALL prt_ctl( tab3d_1=ta, clinfo1=' adv5 - Ta: ', mask1=tmask,               &
+            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+                       CALL tra_adv_qck     ( kt, zun, zvn, zwn )
+                       CALL prt_ctl( tab3d_1=ta, clinfo1=' adv6 - Ta: ', mask1=tmask,               &
             &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       END SELECT
Index: trunk/NEMO/OPA_SRC/istate.F90
===================================================================
--- trunk/NEMO/OPA_SRC/istate.F90	(revision 683)
+++ trunk/NEMO/OPA_SRC/istate.F90	(revision 684)
@@ -55,5 +55,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/istate.F90,v 1.20 2007/06/06 20:25:36 opalod Exp $ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -86,10 +86,11 @@
          neuler = 0                              ! Set time-step indicator at nit000 (euler forward)
          adatrj = 0._wp
+         numror = 0                              ! define numror = 0 -> no restart file to read
          !                                       ! Initialization of ocean to zero
          !     before fields       !       now fields          
-         ;   ub   (:,:,:) = 0.e0   ;   un   (:,:,:) = 0.e0   ; sshb(:,:) = 0.e0
-         ;   vb   (:,:,:) = 0.e0   ;   vn   (:,:,:) = 0.e0   ; sshn(:,:) = 0.e0
-         ;   rotb (:,:,:) = 0.e0   ;   rotn (:,:,:) = 0.e0
-         ;   hdivb(:,:,:) = 0.e0   ;   hdivn(:,:,:) = 0.e0
+             ub   (:,:,:) = 0.e0   ;   un   (:,:,:) = 0.e0   ; sshb(:,:) = 0.e0
+             vb   (:,:,:) = 0.e0   ;   vn   (:,:,:) = 0.e0   ; sshn(:,:) = 0.e0
+             rotb (:,:,:) = 0.e0   ;   rotn (:,:,:) = 0.e0
+             hdivb(:,:,:) = 0.e0   ;   hdivn(:,:,:) = 0.e0
          !
          IF( cp_cfg == 'eel' ) THEN