Index: branches/dev_001_SBC/NEMO/NST_SRC/agrif_opa_sponge.F90
===================================================================
--- branches/dev_001_SBC/NEMO/NST_SRC/agrif_opa_sponge.F90	(revision 718)
+++ branches/dev_001_SBC/NEMO/NST_SRC/agrif_opa_sponge.F90	(revision 811)
@@ -10,4 +10,5 @@
    USE dom_oce
    USE in_out_manager
+   USE agrif_oce
 
    IMPLICIT NONE
@@ -16,11 +17,8 @@
    PUBLIC Agrif_Sponge_Tra, Agrif_Sponge_Dyn, interptn, interpsn, interpun, interpvn
 
-   !! * Namelist (namagrif)
-   REAL(wp) :: visc_tra = rdt
-   REAL(wp) :: visc_dyn = rdt
 
    CONTAINS
 
-   SUBROUTINE Agrif_Sponge_Tra( kt )
+   SUBROUTINE Agrif_Sponge_Tra
       !!---------------------------------------------
       !!   *** ROUTINE Agrif_Sponge_Tra ***
@@ -28,18 +26,14 @@
 #include "domzgr_substitute.h90"
 
-      INTEGER, INTENT(in) :: kt
-
       INTEGER :: ji,jj,jk
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: umasktemp,vmasktemp
       INTEGER :: spongearea
       REAL(wp) :: timecoeff
       REAL(wp) :: zta, zsa, zabe1, zabe2, zbtr
       REAL(wp), DIMENSION(jpi,jpj) :: localviscsponge
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: ztab, tbdiff, sbdiff
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: tbdiff, sbdiff
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: ztu ,ztv, zsu ,zsv
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::  ztab
 
 #if defined SPONGE
-
-      IF( kt == nit000  )   CALL agrif_sponge_init
 
       timecoeff = REAL(Agrif_NbStepint(),wp)/Agrif_rhot()
@@ -61,9 +55,12 @@
       sbdiff(:,:,:) = sb(:,:,:) - ztab(:,:,:)
 
+
       spongearea = 2 + 2 * Agrif_irhox()
 
       localviscsponge = 0.
-      umasktemp = 0.
-      vmasktemp = 0.
+      
+      IF (.NOT. spongedoneT) THEN
+         spe1ur(:,:) = 0.
+         spe2vr(:,:) = 0.
 
       IF ((nbondi == -1).OR.(nbondi == 2)) THEN
@@ -71,12 +68,11 @@
             localviscsponge(ji,:) = visc_tra * (spongearea-ji)/real(spongearea-2)
          ENDDO
-         DO jk = 1, jpkm1
-            umasktemp(2:spongearea-1,:,jk) = umask(2:spongearea-1,:,jk) &
-               * 0.5 * (localviscsponge(2:spongearea-1,:) + localviscsponge(3:spongearea,:))
-         ENDDO
-         DO jk = 1, jpkm1
-            vmasktemp(2:spongearea,1:jpjm1,jk) = vmask(2:spongearea,1:jpjm1,jk) &
-               * 0.5 * (localviscsponge(2:spongearea,1:jpjm1) + localviscsponge(2:spongearea,2:jpj))
-         ENDDO
+	 
+	 spe1ur(2:spongearea-1,:)=0.5 * (localviscsponge(2:spongearea-1,:) + localviscsponge(3:spongearea,:)) &
+	       * e2u(2:spongearea-1,:) / e1u(2:spongearea-1,:)
+
+         spe2vr(2:spongearea,1:jpjm1) = 0.5 * (localviscsponge(2:spongearea,1:jpjm1) + &
+	          localviscsponge(2:spongearea,2:jpj)) &
+	        * e1v(2:spongearea,1:jpjm1) / e2v(2:spongearea,1:jpjm1)
       ENDIF
 
@@ -85,12 +81,12 @@
             localviscsponge(ji,:) = visc_tra * (ji - (nlci-spongearea+1))/real(spongearea-2)
          ENDDO
-         DO jk = 1, jpkm1
-            umasktemp(nlci-spongearea + 1:nlci-2,:,jk) = umask(nlci-spongearea + 1:nlci-2,:,jk) &
-               * 0.5 * (localviscsponge(nlci-spongearea + 1:nlci-2,:) + localviscsponge(nlci-spongearea + 2:nlci-1,:))
-         ENDDO
-         DO jk = 1, jpkm1
-            vmasktemp(nlci-spongearea + 1:nlci-1,1:jpjm1,jk) = vmask(nlci-spongearea + 1:nlci-1,1:jpjm1,jk) &
-               * 0.5 * (localviscsponge(nlci-spongearea + 1:nlci-1,1:jpjm1) + localviscsponge(nlci-spongearea + 1:nlci-1,2:jpj))
-         ENDDO
+	 
+	 spe1ur(nlci-spongearea + 1:nlci-2,:)=0.5 * (localviscsponge(nlci-spongearea + 1:nlci-2,:) + &
+	        localviscsponge(nlci-spongearea + 2:nlci-1,:)) &
+	       * e2u(nlci-spongearea + 1:nlci-2,:) / e1u(nlci-spongearea + 1:nlci-2,:)
+
+         spe2vr(nlci-spongearea + 1:nlci-1,1:jpjm1) = 0.5 * (localviscsponge(nlci-spongearea + 1:nlci-1,1:jpjm1) &
+	           + localviscsponge(nlci-spongearea + 1:nlci-1,2:jpj)) &
+	        * e1v(nlci-spongearea + 1:nlci-1,1:jpjm1) / e2v(nlci-spongearea + 1:nlci-1,1:jpjm1)
       ENDIF
 
@@ -100,12 +96,12 @@
             localviscsponge(:,jj) = visc_tra * (spongearea-jj)/real(spongearea-2)
          ENDDO
-         DO jk = 1, jpkm1
-            vmasktemp(:,2:spongearea-1,jk) = vmask(:,2:spongearea-1,jk) &
-               * 0.5 * (localviscsponge(:,2:spongearea-1) + localviscsponge(:,3:spongearea))
-         ENDDO
-         DO jk = 1, jpkm1
-            umasktemp(1:jpim1,2:spongearea,jk) = umask(1:jpim1,2:spongearea,jk) &
-               * 0.5 * (localviscsponge(1:jpim1,2:spongearea) + localviscsponge(2:jpi,2:spongearea))
-         ENDDO
+	 
+	 spe1ur(1:jpim1,2:spongearea)=0.5 * (localviscsponge(1:jpim1,2:spongearea) + &
+	        localviscsponge(2:jpi,2:spongearea)) &
+	       * e2u(1:jpim1,2:spongearea) / e1u(1:jpim1,2:spongearea)
+
+         spe2vr(:,2:spongearea-1) = 0.5 * (localviscsponge(:,2:spongearea-1) + &
+	          localviscsponge(:,3:spongearea)) &
+	        * e1v(:,2:spongearea-1) / e2v(:,2:spongearea-1)
       ENDIF
 
@@ -114,18 +110,15 @@
             localviscsponge(:,jj) = visc_tra * (jj - (nlcj-spongearea+1))/real(spongearea-2)
          ENDDO
-         DO jk = 1, jpkm1
-            vmasktemp(:,nlcj-spongearea + 1:nlcj-2,jk) = vmask(:,nlcj-spongearea + 1:nlcj-2,jk) &
-               * 0.5 * (localviscsponge(:,nlcj-spongearea + 1:nlcj-2) + localviscsponge(:,nlcj-spongearea + 2:nlcj-1))
-         ENDDO
-         DO jk = 1, jpkm1
-            umasktemp(1:jpim1,nlcj-spongearea + 1:nlcj-1,jk) = umask(1:jpim1,nlcj-spongearea + 1:nlcj-1,jk) &
-               * 0.5 * (localviscsponge(1:jpim1,nlcj-spongearea + 1:nlcj-1) + localviscsponge(2:jpi,nlcj-spongearea + 1:nlcj-1))
-         ENDDO
-      ENDIF
-
-      IF (.NOT. spongedoneT) THEN
-         zspe1ur(:,:) = e2u(:,:) / e1u(:,:)
-         zspe2vr(:,:) = e1v(:,:) / e2v(:,:)
-         zspbtr2(:,:) = 1. / ( e1t(:,:) * e2t(:,:))
+	 
+	 spe1ur(1:jpim1,nlcj-spongearea + 1:nlcj-1)=0.5 * (localviscsponge(1:jpim1,nlcj-spongearea + 1:nlcj-1) + &
+	         localviscsponge(2:jpi,nlcj-spongearea + 1:nlcj-1)) &
+	       * e2u(1:jpim1,nlcj-spongearea + 1:nlcj-1) / e1u(1:jpim1,nlcj-spongearea + 1:nlcj-1)
+
+         spe2vr(:,nlcj-spongearea + 1:nlcj-2) = 0.5 * (localviscsponge(:,nlcj-spongearea + 1:nlcj-2) + &
+	         localviscsponge(:,nlcj-spongearea + 2:nlcj-1)) &
+	        * e1v(:,nlcj-spongearea + 1:nlcj-2) / e2v(:,nlcj-spongearea + 1:nlcj-2)
+      ENDIF
+      
+         spbtr2(:,:) = 1. / ( e1t(:,:) * e2t(:,:))
 
          spongedoneT = .TRUE.
@@ -136,9 +129,9 @@
             DO ji = 1, jpim1
 #if defined key_zco
-               zabe1 = umasktemp(ji,jj,jk) * zspe1ur(ji,jj)
-               zabe2 = vmasktemp(ji,jj,jk) * zspe2vr(ji,jj)
-#else
-               zabe1 = umasktemp(ji,jj,jk) * zspe1ur(ji,jj) * fse3u(ji,jj,jk)
-               zabe2 = vmasktemp(ji,jj,jk) * zspe2vr(ji,jj) * fse3v(ji,jj,jk)
+               zabe1 = umask(ji,jj,jk) * spe1ur(ji,jj)
+               zabe2 = vmask(ji,jj,jk) * spe2vr(ji,jj)
+#else
+               zabe1 = umask(ji,jj,jk) * spe1ur(ji,jj) * fse3u(ji,jj,jk)
+               zabe2 = vmask(ji,jj,jk) * spe2vr(ji,jj) * fse3v(ji,jj,jk)
 #endif
                ztu(ji,jj,jk) = zabe1 * ( tbdiff(ji+1,jj  ,jk) - tbdiff(ji,jj,jk) )
@@ -152,7 +145,7 @@
             DO ji = 2,jpim1
 #if defined key_zco
-               zbtr = zspbtr2(ji,jj)
-#else
-               zbtr = zspbtr2(ji,jj) / fse3t(ji,jj,jk)
+               zbtr = spbtr2(ji,jj)
+#else
+               zbtr = spbtr2(ji,jj) / fse3t(ji,jj,jk)
 #endif
                ! horizontal diffusive trends
@@ -173,19 +166,16 @@
    END SUBROUTINE Agrif_Sponge_Tra
 
-   SUBROUTINE Agrif_Sponge_dyn( kt )
+   SUBROUTINE Agrif_Sponge_dyn
       !!---------------------------------------------
       !!   *** ROUTINE Agrif_Sponge_dyn ***
       !!---------------------------------------------
 #include "domzgr_substitute.h90"
-
-      INTEGER,INTENT(in) :: kt
 
       INTEGER :: ji,jj,jk
       INTEGER :: spongearea
       REAL(wp) :: timecoeff
-      REAL(wp) :: ze2u, ze1v, zua, zva
+      REAL(wp) :: ze2u, ze1v, zua, zva, zbtr
       REAL(wp), DIMENSION(jpi,jpj) :: localviscsponge
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: ztab, ubdiff, vbdiff,rotdiff,hdivdiff
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: umasktemp,vmasktemp
 
 #if defined SPONGE
@@ -194,24 +184,26 @@
 
       Agrif_SpecialValue=0.
-      Agrif_UseSpecialValue = .TRUE.
+      Agrif_UseSpecialValue = ln_spc_dyn
       ztab = 0.e0
       CALL Agrif_Bc_Variable(ztab, ua,calledweight=timecoeff,procname=interpun)
       Agrif_UseSpecialValue = .FALSE.
 
-      ubdiff(:,:,:) = ub(:,:,:) - ztab(:,:,:)
+      ubdiff(:,:,:) = (ub(:,:,:) - ztab(:,:,:))*umask(:,:,:)
 
       ztab = 0.e0
       Agrif_SpecialValue=0.
-      Agrif_UseSpecialValue = .TRUE.
+      Agrif_UseSpecialValue = ln_spc_dyn
       CALL Agrif_Bc_Variable(ztab, va,calledweight=timecoeff,procname=interpvn)
       Agrif_UseSpecialValue = .FALSE.
 
-      vbdiff(:,:,:) = vb(:,:,:) - ztab(:,:,:)
+      vbdiff(:,:,:) = (vb(:,:,:) - ztab(:,:,:))*vmask(:,:,:)
 
       spongearea = 2 + 2 * Agrif_irhox()
 
       localviscsponge = 0.
-      umasktemp = 0.
-      vmasktemp = 0.
+
+      IF (.NOT. spongedoneU) THEN
+         spe1ur2(:,:) = 0.
+         spe2vr2(:,:) = 0.
 
       IF ((nbondi == -1).OR.(nbondi == 2)) THEN
@@ -219,12 +211,9 @@
             localviscsponge(ji,:) = visc_dyn * (spongearea-ji)/real(spongearea-2)
          ENDDO
-         DO jk = 1, jpkm1
-            umasktemp(2:spongearea-1,:,jk) = umask(2:spongearea-1,:,jk) &
-               * 0.5 * (localviscsponge(2:spongearea-1,:) + localviscsponge(3:spongearea,:))
-         ENDDO
-         DO jk = 1, jpkm1
-            vmasktemp(2:spongearea,1:jpjm1,jk) = vmask(2:spongearea,1:jpjm1,jk) &
-               * 0.5 * (localviscsponge(2:spongearea,1:jpjm1) + localviscsponge(2:spongearea,2:jpj))
-         ENDDO
+	 
+	 spe1ur2(2:spongearea-1,:)=0.5 * (localviscsponge(2:spongearea-1,:) + localviscsponge(3:spongearea,:))
+
+         spe2vr2(2:spongearea,1:jpjm1) = 0.5 * (localviscsponge(2:spongearea,1:jpjm1) + &
+	          localviscsponge(2:spongearea,2:jpj))
       ENDIF
 
@@ -233,13 +222,12 @@
             localviscsponge(ji,:) = visc_dyn * (ji - (nlci-spongearea+1))/real(spongearea-2)
          ENDDO
-         DO jk = 1, jpkm1
-            umasktemp(nlci-spongearea + 1:nlci-2,:,jk) = umask(nlci-spongearea + 1:nlci-2,:,jk) &
-               * 0.5 * (localviscsponge(nlci-spongearea + 1:nlci-2,:) + localviscsponge(nlci-spongearea + 2:nlci-1,:))
-         ENDDO
-         DO jk = 1, jpkm1
-            vmasktemp(nlci-spongearea + 1:nlci-1,1:jpjm1,jk) = vmask(nlci-spongearea + 1:nlci-1,1:jpjm1,jk) &
-               * 0.5 * (localviscsponge(nlci-spongearea + 1:nlci-1,1:jpjm1) + localviscsponge(nlci-spongearea + 1:nlci-1,2:jpj))
-         ENDDO
-      ENDIF
+	 
+	 spe1ur2(nlci-spongearea + 1:nlci-2,:)=0.5 * (localviscsponge(nlci-spongearea + 1:nlci-2,:) + &
+	        localviscsponge(nlci-spongearea + 2:nlci-1,:))
+
+         spe2vr2(nlci-spongearea + 1:nlci-1,1:jpjm1) = 0.5 * (localviscsponge(nlci-spongearea + 1:nlci-1,1:jpjm1) &
+	           + localviscsponge(nlci-spongearea + 1:nlci-1,2:jpj))
+      ENDIF
+
 
       IF ((nbondj == -1).OR.(nbondj == 2)) THEN
@@ -247,12 +235,10 @@
             localviscsponge(:,jj) = visc_dyn * (spongearea-jj)/real(spongearea-2)
          ENDDO
-         DO jk = 1, jpkm1
-            vmasktemp(:,2:spongearea-1,jk) = vmask(:,2:spongearea-1,jk) &
-               * 0.5 * (localviscsponge(:,2:spongearea-1) + localviscsponge(:,3:spongearea))
-         ENDDO
-         DO jk = 1, jpkm1
-            umasktemp(1:jpim1,2:spongearea,jk) = umask(1:jpim1,2:spongearea,jk) &
-               * 0.5 * (localviscsponge(1:jpim1,2:spongearea) + localviscsponge(2:jpi,2:spongearea))
-         ENDDO
+	 
+	 spe1ur2(1:jpim1,2:spongearea)=0.5 * (localviscsponge(1:jpim1,2:spongearea) + &
+	        localviscsponge(2:jpi,2:spongearea))
+
+         spe2vr2(:,2:spongearea-1) = 0.5 * (localviscsponge(:,2:spongearea-1) + &
+	          localviscsponge(:,3:spongearea))
       ENDIF
 
@@ -261,17 +247,26 @@
             localviscsponge(:,jj) = visc_dyn * (jj - (nlcj-spongearea+1))/real(spongearea-2)
          ENDDO
-         DO jk = 1, jpkm1
-            vmasktemp(:,nlcj-spongearea + 1:nlcj-2,jk) = vmask(:,nlcj-spongearea + 1:nlcj-2,jk) &
-               * 0.5 * (localviscsponge(:,nlcj-spongearea + 1:nlcj-2) + localviscsponge(:,nlcj-spongearea + 2:nlcj-1))
-         ENDDO
-         DO jk = 1, jpkm1
-            umasktemp(1:jpim1,nlcj-spongearea + 1:nlcj-1,jk) = umask(1:jpim1,nlcj-spongearea + 1:nlcj-1,jk) &
-               * 0.5 * (localviscsponge(1:jpim1,nlcj-spongearea + 1:nlcj-1) + localviscsponge(2:jpi,nlcj-spongearea + 1:nlcj-1))
-         ENDDO
-      ENDIF
-
-      ubdiff = ubdiff * umasktemp
-      vbdiff = vbdiff * vmasktemp
-
+	 
+	 spe1ur2(1:jpim1,nlcj-spongearea + 1:nlcj-1)=0.5 * (localviscsponge(1:jpim1,nlcj-spongearea + 1:nlcj-1) + &
+	         localviscsponge(2:jpi,nlcj-spongearea + 1:nlcj-1))
+
+         spe2vr2(:,nlcj-spongearea + 1:nlcj-2) = 0.5 * (localviscsponge(:,nlcj-spongearea + 1:nlcj-2) + &
+	         localviscsponge(:,nlcj-spongearea + 2:nlcj-1))
+      ENDIF
+
+         spongedoneU = .TRUE.
+	 
+	 spbtr3(:,:) = 1./( e1f(:,:) * e2f(:,:))
+      ENDIF
+      
+      IF (.NOT. spongedoneT) THEN
+        spbtr2(:,:) = 1. / ( e1t(:,:) * e2t(:,:))      
+      ENDIF
+      
+      DO jk=1,jpkm1
+      ubdiff(:,:,jk) = ubdiff(:,:,jk) * spe1ur2(:,:)
+      vbdiff(:,:,jk) = vbdiff(:,:,jk) * spe2vr2(:,:)
+      ENDDO
+      
       hdivdiff = 0.
       rotdiff = 0.
@@ -286,10 +281,11 @@
             DO ji = 2, jpim1   ! vector opt.
 #if defined key_zco
+               zbtr = spbtr2(ji,jj)
                hdivdiff(ji,jj,jk) = (  e2u(ji,jj) * ubdiff(ji,jj,jk) &
                   - e2u(ji-1,jj  ) * ubdiff(ji-1,jj  ,jk)      &
                   &               + e1v(ji,jj) * vbdiff(ji,jj,jk) - &
-                  &              e1v(ji  ,jj-1) * vbdiff(ji  ,jj-1,jk)  )   &
-                  &            / ( e1t(ji,jj) * e2t(ji,jj) )
-#else
+                  &              e1v(ji  ,jj-1) * vbdiff(ji  ,jj-1,jk)  ) * zbtr
+#else
+               zbtr = spbtr2(ji,jj) / fse3t(ji,jj,jk)
                hdivdiff(ji,jj,jk) =   &
                   (  e2u(ji,jj)*fse3u(ji,jj,jk) * & 
@@ -298,6 +294,5 @@
                   + e1v(ji,jj)*fse3v(ji,jj,jk) * &
                   vbdiff(ji,jj,jk) - e1v(ji  ,jj-1)* &
-                  fse3v(ji  ,jj-1,jk)  * vbdiff(ji  ,jj-1,jk)  )    &
-                  / ( e1t(ji,jj) * e2t(ji,jj) * fse3t(ji,jj,jk) )
+                  fse3v(ji  ,jj-1,jk)  * vbdiff(ji  ,jj-1,jk)  ) * zbtr
 #endif
             END DO
@@ -306,7 +301,15 @@
          DO jj = 1, jpjm1
             DO ji = 1, jpim1   ! vector opt.
+#if defined key_zco	    
+               zbtr = spbtr3(ji,jj)
                rotdiff(ji,jj,jk) = (  e2v(ji+1,jj  ) * vbdiff(ji+1,jj  ,jk) - e2v(ji,jj) * vbdiff(ji,jj,jk)    &
                   &              - e1u(ji  ,jj+1) * ubdiff(ji  ,jj+1,jk) + e1u(ji,jj) * ubdiff(ji,jj,jk)  ) &
-                  &           * fmask(ji,jj,jk) / ( e1f(ji,jj) * e2f(ji,jj) )
+                  &           * fmask(ji,jj,jk) * zbtr
+#else
+               zbtr = spbtr3(ji,jj) * fse3f(ji,jj,jk)
+               rotdiff(ji,jj,jk) = (  e2v(ji+1,jj  ) * vbdiff(ji+1,jj  ,jk) - e2v(ji,jj) * vbdiff(ji,jj,jk)    &
+                  &              - e1u(ji  ,jj+1) * ubdiff(ji  ,jj+1,jk) + e1u(ji,jj) * ubdiff(ji,jj,jk)  ) &
+                  &           * fmask(ji,jj,jk) * zbtr
+#endif		  
             END DO
          END DO
@@ -333,14 +336,12 @@
                   ze1v                  ) / e2v(ji,jj)
 #else
-               ze2u = rotdiff (ji,jj,jk)*fse3f(ji,jj,jk)
+               ze2u = rotdiff (ji,jj,jk)
                ze1v = hdivdiff(ji,jj,jk)
                ! horizontal diffusive trends
-               zua = - ( ze2u - rotdiff (ji,jj-1,jk)* &
-                  fse3f(ji,jj-1,jk) ) / ( e2u(ji,jj) * fse3u(ji,jj,jk) )   &
+               zua = - ( ze2u - rotdiff (ji,jj-1,jk)) / ( e2u(ji,jj) * fse3u(ji,jj,jk) )   &
                   + ( hdivdiff(ji+1,jj,jk) - ze1v      &
                   ) / e1u(ji,jj)
 
-               zva = + ( ze2u - rotdiff (ji-1,jj,jk)* &
-                  fse3f(ji-1,jj,jk) ) / ( e1v(ji,jj) * fse3v(ji,jj,jk) )   &
+               zva = + ( ze2u - rotdiff (ji-1,jj,jk)) / ( e1v(ji,jj) * fse3v(ji,jj,jk) )   &
                   + ( hdivdiff(ji,jj+1,jk) - ze1v    &
                   ) / e2v(ji,jj)
@@ -360,23 +361,4 @@
    END SUBROUTINE Agrif_Sponge_dyn
 
-   SUBROUTINE agrif_sponge_init
-      !!---------------------------------------------
-      !!   *** ROUTINE agrif_sponge_init ***
-      !!---------------------------------------------
-      NAMELIST/namagrif/ visc_tra, visc_dyn
-      REWIND ( numnam )
-      READ   ( numnam, namagrif )
-
-      IF(lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'agrif_sponge_init : agrif sponge parameters'
-         WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '          Namelist namagrif : set sponge parameters'
-         WRITE(numout,*) '             sponge coefficient for tracers =  ', visc_tra
-         WRITE(numout,*) '             sponge coefficient for dynamics = ', visc_dyn
-      ENDIF
-
-   END SUBROUTINE agrif_sponge_init
-
    SUBROUTINE interptn(tabres,i1,i2,j1,j2,k1,k2)
       !!---------------------------------------------
@@ -405,5 +387,4 @@
    END SUBROUTINE interpsn
 
-
    SUBROUTINE interpun(tabres,i1,i2,j1,j2,k1,k2)
       !!---------------------------------------------